Update item

put
https://api.wafeq.com/v1/items/{id}/

Endpoint for updating an existing item.

Path Params
stringrequired
Body Params

A product or service the organization buys or sells.

string

The description of the item.

string | null

The expense account for this item.

stringlength ≤ 255

External identifier for the item.

booleanDefaults to true

Whether the item is active.

booleanDefaults to false

Whether inventory is tracked for this item.

item_units_of_measurearray of objects

The units of measure for this item.

stringrequiredlength ≤ 200

The name of the item.

string | null

The tax rate applied when purchasing this item.

string | null

The revenue account for this item.

string | null

The tax rate applied when selling this item.

stringlength ≤ 200

The SKU of the item.

tax_authorityobject

The tax authority reporting settings of the item.

double | null

The default unit cost of the item if no unit of measure is specified.

double | null

The default unit price of the item if no unit of measure is specified.

Headers
string

Client-provided UUID to uniquely identify a request

stringenumDefaults to application/json

Generated from available request content types

Allowed:
Response